/*
 * @(#)src/classes/sov/javax/management/IntrospectionException.java, management, asdev, 20080710 1.3
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */

/*
 * @(#)IntrospectionException.java	4.16 03/12/19
 * 
 */

package javax.management; 


/**
 * An exception occurred during the introspection of an MBean.
 *
 * @since 1.5
 */
public class IntrospectionException extends OperationsException   { 

    /* Serial version */
    private static final long serialVersionUID = 1054516935875481725L;

    /**
     * Default constructor.
     */
    public IntrospectionException() {
	super();
    }
    
    /**
     * Constructor that allows a specific error message to be specified.
     *
     * @param message the detail message.
     */
    public IntrospectionException(String message) {
	super(message);
    }
}
